﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

namespace KairoEngine.UI.InteractionHandler
{
    public class ClickHandler : MonoBehaviour
    {
        public string title = "";
        [ShowInInspector] public IClickHandler receiver;

        public void OnClick()
        {
            if(receiver != null) receiver.OnClick(title);
            else Debug.LogError("ClickHandler has no receiver!", this.gameObject);
        }
    }
}

